/* 
 *  Cflow2VCG
 *  Copyright (C) 2001 Guilhem BONNEFILLE
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef CFLOW_STRUCT_H
#define CFLOW_STRUCT_H

/* Line types */
typedef enum {
  INTERNAL,
  EXTERNAL,
  REFERENCE
} LINE_TYPE;

#define STRINGS_SIZE 80

/* Line structure */
typedef struct {
  LINE_TYPE type;
  int id; /* current id or reference's id */
  int depth;
  char fct[STRINGS_SIZE]; /* function name */
  char fct_type[STRINGS_SIZE]; /* function type */
  char src[STRINGS_SIZE]; /* source file name */
  int line_src; /* Line number */
} LINE_INFO;

#endif /* CFLOW_STRUCT_H */
